/sse/v1/stream

An HTTP POST request used to update the stream configuration of an event stream. Upon receiving a valid request, the event transmitter responds with a JSON representation of the updated stream configuration. The full set of editable properties must be present in the POST body. Missing properties should be interpreted as requested to be deleted. Event receivers should read the configuration first, modify the JSON representation, then make an update request. Properties that cannot be updated may be present, but they must match the expected value. Spec

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params

Request parameters

uri

Read-Only. A URL using the https scheme with no query or fragment component that the Transmitter asserts as its Issuer Identifier. This MUST be identical to the iss Claim value in Security Event Tokens issued from this Transmitter.

uri

Read-Only. A string or an array of strings containing an audience claim as defined in JSON Web Token (JWT) that identifies the Event Receiver(s) for the Event Stream. This property cannot be updated. If multiple Receivers are specified then the Transmitter SHOULD know that these Receivers are the same entity.

events_supported
array of uris

Read-Only. An array of URIs identifying the set of events supported by the Transmitter for this Receiver. If omitted, Event Transmitters SHOULD make this set available to the Event Receiver via some other means (e.g. publishing it in online documentation).

events_supported
events_requested
array of uris
required

Read-Write. An array of URIs identifying the set of events that the Receiver requested. A Receiver SHOULD request only the events that it understands and it can act on. This is configurable by the Receiver.

events_requested*
events_delivered
array of uris

Read-Only. An array of URIs which is the intersection of events_supported and events_requested. These events MAY be delivered over the Event Stream.

events_delivered
delivery
required

Read-Write. A JSON object containing a set of name/value pairs specifying configuration parameters for the SET delivery method. The actual delivery method is identified by the special key method with the value being a URI as defined in Section 11.2.1.

integer

Read-Only. An integer indicating the minimum amount of time in seconds that must pass in between verification requests. If an Event Receiver submits verification requests more frequently than this, the Event Transmitter MAY respond with a 429 status code. An Event Transmitter SHOULD NOT respond with a 429 status code if an Event Receiver is not exceeding this frequency.

string

Read-Write. The Subject Identifier Format that the Receiver wants for the events. If not set then the Transmitter might decide to use a type that discloses more information than necessary.

Responses

Language
Credentials
Bearer
LoadingLoading…
Response
Choose an example:
application/json